from setuptools import setup, find_packages


setup(name='adminschUtils',
      packages=find_packages('src'),
      package_dir={'': 'src'},
      version='0.2.5',
      author='Daniel Kiss',
      author_email='daniel.kiss@kszk.bme.hu',
      url='https://gitlab.sch.bme.hu/AdminSCH/utils',
      license='GPLv3',
      description='Collections of tools for Admin.sch',
      long_description='file: README.rst',
      install_requires=['sanic==0.6.0',
                        'PyYAML',
                        'sanic-openapi',
                        'recursive-dictionary-update',
                        'aiozk',
                        'uvloop',
                        'aiohttp',
                        'cchardet',
                        'aiodns',
                        'frozendict',
                        'pylint',
                        'voluptuous',
                        ],
      extras_require={
          'testing': ['pytest',
                      'pytest-asyncio',
                      'pytest-sanic',
                      'pytest-mock',
                      'pytest-runner',
                      ],
          'docs': ['sphinx'],
          'lint': ['pylint'],
          },
      setup_requires=['pytest-runner'],
      test_suite="tests",
      include_package_data=True,
      zip_safe=False,
      )
